---
search:
  tags:
    - Product Types
    - GET
seo:
  description: >-
    Returns product types for a shop. shop_id is required. Reference for the GET
    /product_types endpoint in the Bolder API v2.
sidebar:
  label: List product types
  badge: GET
title: List product types
type: openapi-operation
---
Returns product types for a shop. `shop_id` is required.

`GET /product_types`

**Responses**

- `200` — Product types list

Response example, 200:

```json
{
  "_class": [
    "results",
    "productTypes"
  ],
  "total_items": 3,
  "_embedded": {
    "items": [
      {
        "id": 1,
        "name": "Clothing",
        "slug": "clothing"
      }
    ]
  }
}
```
